//
//  GameScene.h
//  RedCore2
//
//  Created by Gabriel Capella on 31/05/17.
//
//

#ifndef GameScene_h
#define GameScene_h

#include "cocos2d.h"

class GameScene : public cocos2d::Layer {
    public:
    static cocos2d::Scene* createScene();
    
    virtual bool init();
    
    bool onContactBegin(cocos2d::PhysicsContact& contact);
        
    // implement the "static create()" method manually
    CREATE_FUNC(GameScene);
private:
    void ball_collision (cocos2d::Node *ball);
    void ball_core (cocos2d::Node *core, cocos2d::Node *ball);
};


#endif /* GameScene_h */
