//
//  params.h
//  RedCore2
//
//  Created by Gabriel Capella on 31/05/17.
//
//

#ifndef params_h
#define params_h

// BALL
#define BALL_SIZE 15
#define THROW_ANG 0 // in degrees
#define INITIAL_SPEED 500

// CORE
#define CORE_RADIUS 50

// RAQUETE
#define RAQUETE_WIDTH 120
#define RAQUETE_HEIGHT 10
#define RAQUETE_ALTURA 90

// CORES
#define COLOR_back Color4B(39, 40, 34, 255)
#define COLOR_pink Color4B(249,38,114, 255)
#define COLOR_blue Color4B(102,217,239, 255)
#define COLOR_green Color4B(166,226,46, 255)
#define COLOR_orange Color4B(253,151,31, 255)
#define COLOR_grey Color4B(120,120,120, 255)
#define COLOR_red Color4F(0.988, 0.147, 0.030, 1)

// TAGs
#define BALL_TAG 15
#define BLOCK_TAG 10
#define CORE_TAG 11
#define BOTTOM_TAG 12
#define INDESTRUCTIBLE_BLOCK_TAG 13

#endif /* params_h */
